#ifndef ds50daq_DAQ_V1190Driver_hh
#define ds50daq_DAQ_V1190Driver_hh

#include <memory>
#include "fhiclcpp/fwd.h"
#include "artdaq/DAQdata/Fragments.hh"
#include "DS50FragmentGenerator.hh"

namespace detail {
  class V1190_io;
}

namespace ds50 {
  // V1495Driver reads DS50 events from the board
  class V1190Driver : public DS50FragmentGenerator {
    public:
      explicit V1190Driver(fhicl::ParameterSet const &);
      virtual ~V1190Driver() noexcept;

    private:
      void start_ () override;
      void stop_ () override;
      bool getNext__(artdaq::FragmentPtrs & output) override;

      std::unique_ptr<detail::V1190_io> v1190_;
      int irqwait_ms_, irqwait_checks_;
      std::unique_ptr<uint32_t[]> io_buffer_;
      size_t io_buffer_length_;

      void init_link (fhicl::ParameterSet const &);
      void init_trigger (fhicl::ParameterSet const &);
      void init_channels (fhicl::ParameterSet const &);
      void close_link ();
  };
}
#endif /* ds50daq_DAQ_V1495Driver_hh */
