#include "ds50daq/DAQ/V1495Fragment.hh"
#include "cetlib/exception.h"

bool ds50::V1495Fragment::channel_in_trigger (int ch) const {
  if (ch < 0 || ch > 39) throw cet::exception("V1495Fragment") << "illegal channel request " << ch;
  return (trigger_pattern () >> ch) & 1;
}

std::ostream & ds50::operator << (std::ostream & os, V1495Fragment const & b) {
  os << "V1495 Fragment Run: "
    << b.run_number ()
    << ", event counter: "
    << b.trigger_counter ()
    << ", event type: "
    << static_cast<int>(b.trigger_type ())
    << ", trigger pattern "
    << b.trigger_pattern ()
    << ". event size: "
    << b.event_size ();

  return os;
}

