#include "art/Framework/Principal/Run.h"
#include "art/Framework/Services/Registry/ActivityRegistry.h"
#include "fhiclcpp/ParameterSet.h"

#include "ds50daq/online/ArtServices/DBInterface.hh"

ds50::DBInterface::DBInterface (const fhicl::ParameterSet &ps, art::ActivityRegistry & registry): db::interface(ps.get<std::string> ("hostname"), ps.get<std::string> ("database"), ps.get<std::string> ("user"), ps.get<std::string> ("password")) {
  registry.sPreBeginRun.watch(this, &DBInterface::pre_begin_run);
  set_current_run (-1);
}

void ds50::DBInterface::pre_begin_run (const art::Run& run) {
  set_current_run (run.run ());
}


DEFINE_ART_SERVICE(ds50::DBInterface)
